import type { _NSObject } from "./NSObject.js";
export declare class _NSMethodSignature extends _NSObject {
    static alloc(): _NSMethodSignature;
    static new(): _NSMethodSignature;
    init(): _NSMethodSignature;
    static signatureWithObjCTypes$(types: string): _NSMethodSignature | null;
    getArgumentTypeAtIndex$(idx: number): string;
    isOneway(): boolean;
    numberOfArguments(): number;
    frameLength(): number;
    methodReturnType(): string;
    methodReturnLength(): number;
}
